Foreman - Bug #36393

global registration should not create hosts as "managed" or "to be built"
05/15/2023 07:52 AM - Evgeni Golov

Status: Closed

Priority: Normal

Assignee: Ewoud Kohl van Wijngaarden
Category: Host registration

Target version:

Difficulty: Fixed in Releases: 3.6.2,3.7.1,3.8.0
Triaged: Yes Found in Releases:
Bugzilla link: 2212630 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9746,
https://github.com/theforeman/foreman/p
ull/9788,
https://github.com/theforeman/foreman/p
ull/9789
Description

When the "original" implementation of "create a host via curl" was done in 57d95c1685f28e0a52bd40fc26dd66d24adc0288, the
create_host_curl method contained "build": "false", "managed": "false" in the payload, as this is IMHO the correct thing to do (the host
is already created, so build:false is obvious, managed:false also makes sense as we do not submit enough data to create a fully
managed host).

this also matches the behaviour of bootstrap.py:
https://github.com/Katello/katello-client-bootstrap/blob/master/bootstrap.py#L. 926
https://github.com/Katello/katello-client-bootstrap/blob/master/bootstrap.py#L 936-L939

Now when things were split up into "plain Foreman" and "Foreman with Katello" in 2110556a713d53d5f09f8af35016ee92f0403572,
the Katello part is missing the build:false and managed:false entries

This means that every host registration in Katello now needs to flip the machine back to "it's built" state, costing precious time during
registration.

Associated revisions

Revision 7c412864 - 08/03/2023 09:50 AM - Leos Stejskal

Fixes #36393 - Do not rebuild managed hosts in registration

History

#1 - 05/15/2023 11:00 AM - Ewoud Kohl van Wijngaarden

This came up in https://community.theforeman.org/t/benchmarking-katello-using-host-reqgistration/33495 and it's also mentioned that besides costing
precious time it could even cause host rebuilds which can lead to data loss.

#2 - 06/06/2023 07:25 AM - Evgeni Golov
- Bugzilla link set to 2212630

#3 - 06/22/2023 07:26 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9746 added

#4 - 08/03/2023 09:50 AM - The Foreman Bot
- Fixed in Releases 3.8.0 added

#5 - 08/03/2023 09:52 AM - The Foreman Bot

- Assignee set to Ewoud Kohl van Wijngaarden
https://github.com/Katello/katello-client-bootstrap/blob/master/bootstrap.py#L926
https://github.com/Katello/katello-client-bootstrap/blob/master/bootstrap.py#L936-L939
https://community.theforeman.org/t/benchmarking-katello-using-host-registration/33495

- Pull request https://github.com/theforeman/foreman/pull/9788 added

#6 - 08/03/2023 09:52 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9789 added

#7 - 08/03/2023 10:00 AM - Leos Stejskal
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|7c4128649ea125f799389eb0dec24a847e3b8416.

#8 - 08/08/2023 10:13 AM - The Foreman Bot
- Fixed in Releases 3.7.1 added

#9 - 08/08/2023 10:13 AM - The Foreman Bot
- Fixed in Releases 3.6.2 added

#10 - 08/29/2023 12:05 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
